#
# spec file for package [TfReg]
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           TfReg
Version:        1.0
Release:        1.15.1
Summary:        Calculates melting temperatures of DNA and RNA

License:        GPL-3.0
Group:		Productivity/Scientific/Physics
URL:            https://sites.google.com/site/geraldweberufmg/tfreg
Source0:        tfreg-1.0.tar.bz2

BuildRequires:  gcc-c++ 
BuildRequires:  gcc-fortran 
BuildRequires:  f2c 
BuildRequires:  gsl gsl-devel
%if 0%{?suse_version} == 1140
BuildRequires:  libboost_filesystem1_44_0 boost-devel
BuildRequires:  lapack liblapack3 
%endif
%if 0%{?suse_version} == 1210
BuildRequires:  libboost_filesystem1_46_1 boost-devel
BuildRequires:  lapack liblapack3 
%endif
%if 0%{?suse_version} == 1220
BuildRequires:  libboost_filesystem1_49_0 libboost_system1_49_0 boost-devel
BuildRequires:  lapack-devel liblapack3 
%endif
BuildRequires:  libblas3 
BuildRequires:  zlib-devel


%description
TfReg implements the calculation of Peyrard-Bishop style Hamiltonians to obtain some
physical properties of DNA and RNA duplexes. The method uses the transfer matrix
technique for the calculation of the classical partition function. 
Also, TfReg calculates the regression of experimental versus predicted melting temperatures using the
equivalent melting index.

%prep
%setup -q

%build
make 


%install
mkdir -p %{buildroot}/%{_bindir}
install -m 755 tfreg %{buildroot}/%{_bindir}/tfreg
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -r examples %{buildroot}/%{_datadir}/%{name}
cp -r data %{buildroot}/%{_datadir}/%{name}

%clean
rm -rf %%{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/tfreg
%doc doc/tfreg-user-manual.pdf
%doc gpl-3.0.txt
%{_datadir}/%{name}

%changelog
* Sat Nov 10 2012 <gweberbh@gmail.com>
First Public Release 
